%define plugindir %{_libdir}/mozilla/plugins

Name:          libopensc
Version:       0.25.0
Release:       1mamba
Summary:       OpenSC is a library and utilites to access SmartCard devices
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://opensc-project.org/
Source:        https://github.com/OpenSC/OpenSC/releases/download/%{version}/opensc-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libopenssl-devel
BuildRequires: libreadline-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: flex
BuildRequires: libassuan-devel
BuildRequires: libopenldap-devel
BuildRequires: libxslt-devel
Requires:      pam

%description
OpenSC provides a set of libraries and utilities to access SmartCard devices.
Its main focus is on cards that support cryptographic operations, and facilitate their use in security applications such as mail encryption, authentication, and digital signature.

Basic functionality should work on any ISO 7816-4 compatible SmartCard.
Encryption and decryption using private keys on the SmartCard is possible with PKCS #15 compatible cards, such as the FINEID (Finnish Electronic IDentity) card.

%package -n opensc
Group:         Development/Libraries
Summary:       Tools for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n opensc
libOpenSC is a library for accessing SmartCard devices.
This package contains the tools.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
libOpenSC is a library for accessing SmartCard devices.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n opensc-%{version}

%build
%configure \
   --disable-static

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

install -D -m 644 etc/opensc.conf %{buildroot}%{_sysconfdir}/opensc.conf

rm -f %{buildroot}%{_docdir}/opensc/NEWS %{buildroot}%{_docdir}/opensc/README

rm -f %{buildroot}%{_bindir}/opensc-config
rm -f %{buildroot}%{_mandir}/man1/opensc-config.*

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n opensc
%defattr(-,root,root)
%config %{_sysconfdir}/opensc.conf
#%{_sysconfdir}/xdg/autostart/pkcs11-register.desktop
%{_bindir}/*
%{_datadir}/applications/org.opensc.notify.desktop
%{_datadir}/opensc
%{_datadir}/bash-completion/completions/*
%{_datadir}/doc/opensc/opensc.conf
%{_mandir}/man1/*
%{_mandir}/man5/*

%files
%defattr(-,root,root)
%{_libdir}/libopensc.so.*
%{_libdir}/libsmm-local.so.*
%{_libdir}/onepin-opensc-pkcs11.so
%{_libdir}/opensc-pkcs11.so
%{_libdir}/pkcs11-spy.so
%{_libdir}/pkcs11/onepin-opensc-pkcs11.so
%{_libdir}/pkcs11/opensc-pkcs11.so
%{_libdir}/pkcs11/pkcs11-spy.so
%doc COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/libopensc.so
%{_libdir}/libsmm-local.so
%{_libdir}/pkgconfig/opensc-pkcs11.pc
%doc NEWS README

%changelog
* Sat Mar 23 2024 Automatic Build System <autodist@openmamba.org> 0.25.0-1mamba
- automatic update by autodist

* Sat Jan 27 2024 Automatic Build System <autodist@openmamba.org> 0.24.0-1mamba
- automatic update by autodist

* Wed Feb 01 2023 Automatic Build System <autodist@mambasoft.it> 0.23.0-1mamba
- automatic update by autodist

* Wed Nov 25 2020 Automatic Build System <autodist@mambasoft.it> 0.21.0-1mamba
- automatic version update by autodist

* Tue Mar 03 2020 Automatic Build System <autodist@mambasoft.it> 0.20.0-1mamba
- automatic version update by autodist

* Sat Dec 08 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.19.0-1mamba
- update to 0.19.0

* Thu Jun 23 2016 Automatic Build System <autodist@mambasoft.it> 0.16.0-1mamba
- automatic version update by autodist

* Thu May 21 2015 Automatic Build System <autodist@mambasoft.it> 0.15.0-1mamba
- automatic version update by autodist

* Thu Jul 31 2014 Automatic Build System <autodist@mambasoft.it> 0.14.0-1mamba
- automatic update by autodist

* Sat Dec 08 2012 Automatic Build System <autodist@mambasoft.it> 0.13.0-1mamba
- update to 0.13.0

* Sun Jul 24 2011 Automatic Build System <autodist@mambasoft.it> 0.12.2-1mamba
- automatic update to 3.0.3.0 by autodist

* Sat Sep 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11.13-1mamba
- update to 0.11.13

* Sat Sep 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11.4-2mamba
- rebuilt with openssl 1.0

* Thu Nov 29 2007 Aleph0 <aleph0@openmamba.org> 0.11.4-1mamba
- update to 0.11.4

* Mon Oct 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.9.6-2qilnx
- fixed opensc.conf permissions
- gcc4 compilation fix
- the plugin for mozilla is now build

* Thu May 19 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6-1qilnx
- update to version 0.9.6 by autospec

* Tue Dec 07 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.9.4-1qilnx
- package created by autospec
